<?php
if(!defined('ABSPATH')) {exit;}

if(!class_exists('UltimateSocialShare_Http')) :

class UltimateSocialShare_Http {
	
	public $remote_url;
	public $param=array();
	public $method='GET';
	public $header = array();
	public $request = array();
	public $response;
	
	public function __construct($url = '' , $param = array() , $method ='GET') {
		
		if($url != '')
			$this->set_url($url);
		
		if(!empty($param))
			$this->set_params($param);
		
		if($method != '')
			$this->set_method($method);
	}
	
	public function set_url($url) {
		$this->remote_url = $url;
	}
	
	public function set_params($param) {
		$this->param = $param;
	}
	
	public function set_method($method) {
		$this->method = $method;
	}
	
	public function set_header($header) {
		$this->header = $header;
	}
	
	public function prepare_request(){
		$this->request = array(
				'method' => $this->method,
				'headers' => $this->header,
				'body' => $this->param
		);
	}
	public function process_request(){
		$this->prepare_request();
		$this->response = wp_remote_post($this->remote_url, $this->request);
		error_log(print_r($this->response,true));
	}
	
	public function get_response() {
		$this->process_request();
		if($this->response['response']['code'] == 200 && $this->response['response']['message'] = 'OK')
			return $this->response['body'];
	}
	
	
}

endif;
?>
<?php
if(!defined('ABSPATH')) {exit;}

if(!class_exists('UltimateSocialShare_Authenticate')) :

class wp_easy_Authenticate {
	
	public $auth_url = 'http://club.wpeka.com/club_api/';
	public $auth_pass;
	public $auth_user;
	
	public function __construct($auth_user , $auth_pass) {
		$this->auth_user = $auth_user;
		$this->auth_pass = $auth_pass;
	}
	
	public function authenticate() {
		$http_request = new wp_easy_Http($this->auth_url , array('webdata' => 
											json_encode(array(
													'user_login' => $this->auth_user , 
													'user_pass' => $this->auth_pass
											)) ,
											'action' => 'authenticate'
										) , 'POST'
					);
		$response = json_decode($http_request->get_response());
		if($response->sStatus == 0 ) {
			update_option('wpeka_member_token', $response->token);
			update_option('wpeka_member_username', $this->auth_user);
		}
	}
	
}

endif;
?>
<?php
if(!class_exists('UltimateSocialShare_updater')) :
class UltimateSocialShare_updater {
	public $licence_key;
	public $plugin_path;
	public  $plugin_slug;
	public $api_url = 'http://club.wpeka.com/club_api/';
	
	function __construct($licence_key , $plugin_path , $plugin_slug) {
		$this->licence_key = $licence_key;
		$this->plugin_path = $plugin_path;
		$this->plugin_slug = $plugin_slug;
		add_filter( 'pre_set_site_transient_update_plugins', array($this , 'check_update' ) );
	}
	
	function check_update($transient) {
		global $wp_version;
		if(empty($transient->checked)) return $transient;
		
		$request_args = array(
				'licence' => $this->licence_key,
				'slug' => $this->plugin_slug,
				'version' => $transient->checked[$this->plugin_path] ,
				'transient' =>$transient , 
				'wp_version' => $wp_version,
				'home_url'	=>	home_url() ,
				'plugin_path'	=> $this->plugin_path ,
				'action'	=>	'update'
		);
		
		$raw_response = wp_remote_post( $this->api_url ,
						 array( 'method' => 'POST' , 
						 		'body'=> $request_args ) );
		if( !is_wp_error($raw_response) && ($raw_response['response']['code'] == 200) )
		{
			$response = unserialize($raw_response['body']);	
		}
		if( is_object($response) && !empty($response) ) {
			// Feed the update data into WP updater
			$transient->response[$this->plugin_path] = $response;
		}
		
		if ( isset( $transient->response[$this->plugin_path] ) ) {
			if ( strpos( $transient->response[$this->plugin_path]->package, 'wordpress.org' ) !== false  ) {
				unset($transient->response[$this->plugin_path]);
			}
		}
		
		return $transient;
	}
}
endif;

function UltimateSocialShare_process_wpeka_login_request() {
	$token = get_option('wpeka_member_token');
	if(isset($_POST['login']) && $token == false) {
		if(isset($_POST['pass']) && isset($_POST['user'])) {
			$auth = new wp_easy_Authenticate($_POST['user'] , $_POST['pass']);
			$auth->authenticate();
		}
	}
}

function UltimateSocialShare_admin_notice(){
	global $pagenow;
	$token = get_option('wpeka_member_token');
	
	if ( $pagenow == 'plugins.php' && $token == false) {
		echo '<div class="error">
              <div class="login_frm">
    <h1>WPeka Login</h1><br>
  <form action="" method="post">
    <input type="text" name="user" placeholder="Username">
    <input type="password" name="pass" placeholder="Password">
    <input type="submit" name="login" class="login login-submit" value="login">
  </form>
</div>
				
         </div>';
	}
}
?>
