<?php
/**
 * Setup menus in WP admin.
 *
 * @author 		WPEka
 * @category 	Admin
 * @package 	UltimateSocialMedia/Admin
 * @version     1.0.0
 */



if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! class_exists( 'WPEka_Admin_Menus' ) ) :

/**
 * WPEka_Admin_Menus Class
 */
class USS_Admin_Menus {

	var $data=array();
	
	public function __construct() {
		if( get_option( 'uss_option' ) === false ) {
			$this->install_default_options();
		}
		$this->data=get_option( 'uss_option' );
		// Add menus
		add_action( 'admin_menu', array( $this, 'admin_menu' ), 9 );
		//add_action( 'add_meta_boxes', array($this , 'usm_add_meta_box') );
		add_action( 'save_post', array($this,'usm_save_meta_box_data') );
		
	}

	
	/**
	 * Add menu items
	 */
	


	public function admin_menu()
	{
		
		wp_enqueue_script('usm_admin_js', USS_PLUGIN_PATH . '/assets/js/admin.js');
		wp_enqueue_style('usm_admin_css_tab', USS_PLUGIN_PATH . "/assets/css/tabbed.css");
		wp_enqueue_style('usm_admin_css', USS_PLUGIN_PATH . "/assets/css/admin.css");
		$page = is_network_admin() ? 'settings.php' : 'options-general.php';
		$capability = is_network_admin() ? 'manage_network_options' : 'manage_options';
		add_submenu_page($page,__('Ultimate Social Share Settings','uss'), __('Ultimate Social Share','uss'), $capability, 'WPEKa_USM', array($this, 'setting_page'));
		
	}
	
	public function setting_page(){
		wp_enqueue_style('bootstrap_admin_css', USS_PLUGIN_PATH . "/assets/css/bootstrap.min.css");
		wp_enqueue_script('bootstrap_admin_js', USS_PLUGIN_PATH . '/assets/js/bootstrap.min.js');
		wp_enqueue_style('color_pic_css', USS_PLUGIN_PATH . "/assets/js/colpick-jQuery-Color-Picker-master/css/colpick.css");
		wp_enqueue_script('color_pic_js', USS_PLUGIN_PATH . '/assets/js/colpick-jQuery-Color-Picker-master/js/colpick.js');
		$action='display';
		if (isset($_POST['usm_action'])) {
			$action=$_POST['usm_action'];
		}
		switch ($action){
			case 'display':$this->display_settings();break;
			case 'update':$this->update_options();break;
		}
	}	
	
	public function update_options(){
		unset($_POST['usm_action']);
		$uss_option = array(
				'usm_theme_mode' => 'share',
				'uss_share_service_1' => isset($_POST['uss_share_service_1'])?$_POST['uss_share_service_1']:'off',
				'uss_share_service_2' => isset($_POST['uss_share_service_2'])?$_POST['uss_share_service_2']:'off',
				'uss_share_service_3' => isset($_POST['uss_share_service_3'])?$_POST['uss_share_service_3']:'off',
				'uss_share_service_4' => isset($_POST['uss_share_service_4'])?$_POST['uss_share_service_4']:'off',
				'uss_share_service_5' => isset($_POST['uss_share_service_5'])?$_POST['uss_share_service_5']:'off',
				'uss_share_service_6' => isset($_POST['uss_share_service_6'])?$_POST['uss_share_service_6']:'off',
				'uss_share_service_7' => isset($_POST['uss_share_service_7'])?$_POST['uss_share_service_7']:'off',
				'uss_share_service_8' => isset($_POST['uss_share_service_8'])?$_POST['uss_share_service_8']:'off',
				
				'usm_icon_theme' => isset($_POST['usm_icon_theme'])?$_POST['usm_icon_theme']:'',
				'usm_icon_size' => isset($_POST['usm_icon_size'])?$_POST['usm_icon_size']:'',
				'usm_icon_opacity' => isset($_POST['usm_icon_opacity'])?$_POST['usm_icon_opacity']:'',
				'usm_background' => isset($_POST['usm_background'])?$_POST['usm_background']:'',
				'usm_border' => isset($_POST['usm_border'])?$_POST['usm_border']:'',
				'usm_top_offset'=> isset($_POST['usm_top_offset'])?$_POST['usm_top_offset']:'',
				'usm_hoz_offset'=> isset($_POST['usm_hoz_offset'])?$_POST['usm_hoz_offset']:'',
				'usm_box_alignment'=> isset($_POST['usm_box_alignment'])?$_POST['usm_box_alignment']:'',
				'usm_z_index'=> isset($_POST['usm_z_index'])?$_POST['usm_z_index']:'',
				'all_pages'=>isset($_POST['all_pages'])?$_POST['all_pages']:'',
				'post_ids'=>isset($_POST['post_ids'])?$_POST['post_ids']:'',
				'cat_ids'=>isset($_POST['cat_ids'])?$_POST['cat_ids']:'',
		);
		$this->data=$uss_option;
		update_option( 'uss_option', $this->data );
		echo '<div class="updated" style="margin-left:-1px;"><p>Data Updated Successfully</p></div>';
		$this->display_settings();
	}
	
	public function display_settings(){
		?>
		<script type="text/javascript">
		jQuery(document).ready(function(){
			
			jQuery('#usm_background').colpick({
					layout:'hex',
					submit:0,
					colorScheme:'dark',
					onChange:function(hsb,hex,rgb,el,bySetColor) {
						jQuery(el).css('border-color','#'+hex);
						// Fill the text box just if the color was set using the picker, and not the colpickSetColor function.
						if(!bySetColor) jQuery(el).val(hex);
					}
				}).keyup(function(){
				jQuery(this).colpickSetColor(this.value);
			});
			jQuery('#usm_background').colpickSetColor('<?php  echo $this->data['usm_background'];?>');
		});
		
		</script>
		<h4 class='wpeka-panel-heading'><?php _e('Ultimate Social Share Settings','uss'); ?></h4>


<form action="" method="post">
			<input type="hidden" name="usm_action" value="update"/>
<section id="tabbed">
				<input class ="radio-input" id="t-1" type="radio" checked="checked" name="tabbed-tabs">
				<label class="tabs shadow " for="t-1"><?php _e('Social Services','uss'); ?></label>
				<input class ="radio-input" id="t-2" type="radio" name="tabbed-tabs">
				<label class="tabs shadow " for="t-2"><?php _e('Appearance','uss'); ?></label>
				<input class ="radio-input" id="t-3" type="radio" name="tabbed-tabs">
				<label class="tabs shadow " for="t-3"><?php _e('Dimensions','uss'); ?></label>
				<input class ="radio-input" id="t-4" type="radio" name="tabbed-tabs">
				<label class="tabs shadow " for="t-4"><?php _e('Advanced settings','uss'); ?></label>

<div class="wrapper shadow">					
				<div class="tab-1">
				  	<div>
				  		<div class="panel-group" id="wpep_toggle">
				  			<div class="panel panel-default">
								<div id="popup_display" class="">
									<div class="exbox1 margin-leftexbox1">
						          	<span style="font-weight: bold;">Select Services</span>
						        	</div>
											<div class="exBox1">
												<input type="checkbox" <?php echo ($this->data['uss_share_service_1']=='on')? 'checked="checked"':'' ?> name="uss_share_service_1"> Google Plus
											</div>
								
											<div class="exBox1">
												<input type="checkbox" <?php echo ($this->data['uss_share_service_3']=='on')? 'checked="checked"':'' ?> name="uss_share_service_3"> Twitter
											</div>
											<div class="exBox1">
												<input type="checkbox" <?php echo ($this->data['uss_share_service_4']=='on')? 'checked="checked"':'' ?> name="uss_share_service_4"> LinkedIn
											</div>
											<div class="exBox1">
												<input type="checkbox" <?php echo ($this->data['uss_share_service_5']=='on')? 'checked="checked"':'' ?> name="uss_share_service_5"> Stumble upon
											</div>
											<div class="exBox1">
												<input type="checkbox" <?php echo ($this->data['uss_share_service_6']=='on')? 'checked="checked"':'' ?> name="uss_share_service_6"> Reddit
											</div>
											<div class="exBox1">
												<input type="checkbox" <?php echo ($this->data['uss_share_service_7']=='on')? 'checked="checked"':'' ?> name="uss_share_service_7"> Pinterest
											</div>
											<div class="exBox1">
												<input type="checkbox" <?php echo ($this->data['uss_share_service_8']=='on')? 'checked="checked"':'' ?> name="uss_share_service_8"> Buffer
											</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="tab-2">
				<div>
					<div class="panel-group" id="wpep_toggle">
						<div class="panel panel-default">
							<div id="popup_display" class="">
								<div class="exBox1">			  	
								<label><strong><?php _e('Background','uss'); ?></strong></label>
							  	<span style="float:left">#</span><input id="usm_background" type="text" title="e.g. #C6C6C6" name="usm_background" value="<?php  echo $this->data['usm_background'];?>"/></div>
							  	<div class="exBox1">			  	
								<label><strong><?php _e('Border','uss'); ?></strong></label>
							  	<input type="text" title="e.g. 2px solid #AAA" name="usm_border" value="<?php echo $this->data['usm_border'];?>"/></div>

								<div class="exBox1">			  	
								<label><strong><?php _e('Page settings','uss'); ?></strong></label>			
								<input type="checkbox" name="all_pages" id="all_pages" style="margin-top:5px;" onchange="if (jQuery(this).attr('checked')) { jQuery('#post_ids').attr('disabled', true); } else { jQuery('#post_ids').attr('disabled', false); }" <?php  if(isset($this->data['all_pages']) && $this->data['all_pages'] == 'on') { ?>checked="checked"<?php } ?>>&nbsp; <a href="javascript:void(0);" onclick="jQuery('#all_pages').trigger('click');">All Pages</a></div>
												<br>
												<?php 
								
												$all_pages = isset($this->data['all_pages'])?$this->data['all_pages']:'';
												$post_ids = isset($this->data['post_ids'])?$this->data['post_ids']:'';
								
												getPost('post_ids[]', $post_ids , $all_pages); ?>

				<?php 
				echo "<select name=\"cat_ids[]\" id=\"cat_ids\" onfocus=\"cleanFormError(this);\" multiple style=\"height: 150px; width: 250px; margin-left:5px\">"; 

				echo "<optgroup label='Categories' style='font-size=16px;font-weight:bold'>";

				$categories =  get_categories();
				foreach ($categories as $category) {
					if($category->count != 0)
					{
		
						echo "<option value='$category->term_id'"; if (isset($this->data['cat_ids']) && is_array($this->data['cat_ids']) &&  in_array($category->term_id, $this->data['cat_ids'])) {
							echo " selected";
						} echo">".$category->cat_name."</option>";
					}
				}


				echo "</optgroup></select></div>";
				?>


							</div>
						</div>
					</div>
				</div>
				</div>
				<div class="tab-3">
				  	<div>
				  		<div class="panel-group" id="wpep_toggle">
				  			<div class="panel panel-default">
								<div id="popup_display" class="">
										<div class="exBox1">			  	
										<label><strong><?php _e('Vertical offset','uss'); ?></strong></label>
									  	<input type="text" name="usm_top_offset" value="<?php echo $this->data['usm_top_offset'];?>"/>&nbsp&nbsppx</div>
									  	<div class="clear"></div>
										<div class="uss_note"><small>Vertical offset is calculated from <b>bottom</b></small></div><br/><br/>
									  	<div class="exBox1">			  	
										<label><strong><?php _e('Horizontal offset','uss'); ?></strong></label>
									  	<select name="usm_box_alignment" style="margin-left:5px;height:30px">
									  		<option <?php echo ($this->data['usm_box_alignment']=='left')? 'selected="selected"':'' ?> value="left">Left</option>
									  		<option <?php echo ($this->data['usm_box_alignment']=='right')? 'selected="selected"':'' ?> value="right">Right</option>
									  	</select>&nbsp;&nbsp;
									  	<input type="text" name="usm_hoz_offset" value="<?php echo $this->data['usm_hoz_offset'];?>"/>&nbsppx</div>
										<div class="clear"></div>
									  	<div class="uss_note"><small>Horizontal offset is calculated from <b>bottom left / bottom right</b></small></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="tab-4">
				  	<div>
				  		<div class="panel-group" id="wpep_toggle">
				  			<div class="panel panel-default">
								<div id="popup_display" class="">
										<div class="exBox1">			  	
											<label><strong>Z-index</strong></label>
										  	<input type="text" name="usm_z_index" value="<?php echo $this->data['usm_z_index'];?>"/>&nbsp&nbsppx</div>
											<div class="clear"></div>
										  	<div class="uss_note"><small>This value will be applied to the entire floating box</small></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
<button type="submit" class="btn bluebutton">Save Changes</button>
</form>		
	</div>
		</section>
<?php 
	}
	
	public function install_default_options(){
		$uss_option = array(
				'usm_theme_mode' => 'share',
				'uss_share_service_1'=>'on',
				'uss_share_service_3'=>'on',
				'uss_share_service_4'=>'on',
				'uss_share_service_5'=>'off',
				'uss_share_service_6'=>'off',
				'uss_share_service_7'=>'off',
				'uss_share_service_8'=>'off',

				'usm_icon_theme' => '1',
				'usm_icon_size' => '51',
				'usm_icon_opacity' => '1.00',
				'usm_background' => 'c9d1d4',
				'usm_border' => '',
				'usm_box_alignment'=>'left',
				'usm_top_offset'=> '10',
				'usm_hoz_offset'=> '0',
				'usm_z_index'=> '10000',
				'all_pages' => '',
				'post_ids' => '',
		);
		$this->data=$uss_option;
		update_option( 'uss_option', $this->data );
	}

}


endif;

function getPost() {
	$name = "post_ids[]";
	$selected = "";
	$all_pages = false;

	if (func_num_args() > 0) {
		$name = func_get_arg(0);
		if (func_num_args() > 1) { $selected = func_get_arg(1); }
		if (func_num_args() > 2) { $all_pages = func_get_arg(2); }
	}

	$id = str_ireplace(array("[", "]"), "", $name);

	global $wpdb;

	// AND post_type != 'page'
	// AND post_date < NOW()
	$tr = $wpdb->get_results("SELECT ID, post_title, post_type FROM {$wpdb->prefix}posts WHERE post_status = 'publish' AND (LOWER(post_type) = 'page' OR LOWER(post_type) = 'post') ORDER BY post_type DESC, post_title");

	echo "<div class='exBox1'><select name=\"$name\" id=\"$id\" onfocus=\"cleanFormError(this);\" multiple style=\"height: 150px; width: 250px; margin-left:15px;\""; if ($all_pages) { echo " disabled"; } echo ">";

	$group = '';

	if (count($selected) == 0) {
	$selected[] = -1;
	}

	foreach ($tr as $r) {
	if ($r->post_type != $group) {
	if ($group != '') { echo "</optgroup>"; }
				echo "<optgroup label=\"" . ucwords($r->post_type) . "s\" style='font-weight:bold'>";
				$group = $r->post_type;
	}
		
	echo "<option value=\"$r->ID\""; if (is_array($selected) &&  in_array($r->ID, $selected)) { echo " selected"; } echo ">$r->post_title</option>";
	}

	/* option for categories */
	

		


				echo "</select>";
		}

return new USS_Admin_Menus();
