<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * ultimateSocialShare Admin.
 *
 * @class 		ultimateSocialShare
 * @author 		WPEka
 * @category 	Admin
 * @package 	ultimateSocialShare/Admin
 * @version     1.0.0
 */
class USS_Public {

	var $data;
	var $share_count=0;
	/**
	 * Constructor
	 */
	public function __construct() {
		
		$this->data=get_option( 'uss_option' );
		add_action('wp_enqueue_scripts', array( $this, 'uss_add_public_scripts' ));
		add_action('wp_footer', array($this,'uss_display'));
	}
	
	public function uss_add_public_scripts(){
		wp_enqueue_script('usm_public_js', USS_PLUGIN_PATH . '/assets/js/public_script.js');
		wp_enqueue_style('usm_public_css', USS_PLUGIN_PATH . '/assets/css/public_style.css');
	}
	
	public function uss_display(){
		$cat=get_the_category();
			if($cat){
					foreach($cat as $category) {
								$arr[]=$category->term_id;
							}
						}
					if($this->data['all_pages'] == 'on' || in_array(get_the_ID(),$this->data['post_ids']) || array_intersect($this->data['cat_ids'], $arr)){
						
		echo '<div id="wpeka_usm_service_container">';
		
			$this->getUssShareServices();
		
		echo '</div>';
		?>
		<style type="text/css">
			#wpeka_usm_service_container{
				position:absolute;
				z-index:<?php echo $this->data['usm_z_index'];?>;
				padding:5px;
				min-width: 70px;
				text-align: center;
				background-color: #<?php echo $this->data['usm_background'];?>;
				border: <?php echo $this->data['usm_border'];?>;
			}
		</style>
		<script type="text/javascript">
			var ns = (navigator.appName.indexOf("Netscape") != -1);
			var d = document;
			var px = document.layers ? "" : "px";
			jQuery(document).ready(function(){
				var usm_box_x;
				<?php if ($this->data['usm_box_alignment']=='left'){?>
				usm_box_x=((jQuery('#wpeka_usm_service_container').width())-(40)+<?php echo $this->data['usm_hoz_offset'];?>);
				<?php } else {?>
				usm_box_x=-((jQuery('#wpeka_usm_service_container').width())+(40)+<?php echo $this->data['usm_hoz_offset'];?>);
				<?php }?>
				var usm_box_y=-<?php echo ($this->data['usm_theme_mode']=='share')?$this->share_count * 72:'(jQuery("#wpeka_usm_service_container").height())-30';?>-10-<?php echo $this->data['usm_top_offset'];?>;
				
				JSFX_FloatDiv("wpeka_usm_service_container", usm_box_x, usm_box_y).flt();
			});
			function JSFX_FloatDiv(id, sx, sy)
			{
				var el=d.getElementById?d.getElementById(id):d.all?d.all[id]:d.layers[id];
				window[id + "_obj"] = el;
				if(d.layers)el.style=el;
				el.cx = el.sx = sx;el.cy = el.sy = sy;
				el.sP=function(x,y){this.style.left=x+px;this.style.top=y+px;};
				el.flt=function()
				{
					var pX, pY;
					pX = (this.sx >= 0) ? 0 : ns ? innerWidth : 
					document.documentElement && document.documentElement.clientWidth ? 
					document.documentElement.clientWidth : document.body.clientWidth;
					pY = ns ? pageYOffset : document.documentElement && document.documentElement.scrollTop ? 
					document.documentElement.scrollTop : document.body.scrollTop;
					if(this.sy<0) 
					pY += ns ? innerHeight : document.documentElement && document.documentElement.clientHeight ? 
					document.documentElement.clientHeight : document.body.clientHeight;
					var FooterTop=jQuery('footer').offset().top+this.sy;
					var USMTop=pY + this.sy;
					if(USMTop>FooterTop) USMTop=FooterTop;
					this.cx += (pX + this.sx - this.cx)/8;this.cy += (USMTop - this.cy)/8;
					this.sP(this.cx, this.cy);
					setTimeout(this.id + "_obj.flt()", 45);
				};
				return el;
			}
			
		</script>
		<?php }
	}
	
	public function getUssShareServices(){
		$new_line=false;
		$protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
		$current_url=$protocol.$_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
		
		$services_html="";
		if ($this->data['uss_share_service_1']=='on') {
			$services_html.= '<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>';
			$services_html.='<g:plusone size="tall"></g:plusone>';
			$new_line=true;
			$this->share_count++;
		}
			if ($this->data['uss_share_service_3']=='on') {
			if($new_line){
				$services_html.='<br/>';
			}
			$services_html.= '<a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$current_url.'" data-counturl="'.$current_url.'" data-lang="en" data-count="vertical">Tweet</a>';
			$services_html.= '<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="https://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>';
			$new_line=true;
			$this->share_count++;
		}
		if ($this->data['uss_share_service_4']=='on') {
			if($new_line){
				$services_html.='<br/>';
			}
			$services_html.= '<script type="text/javascript" src="//platform.linkedin.com/in.js" type="text/javascript"></script>';
			$services_html.= '<div id="usmLinkedinShare"><script type="IN/Share" data-counter="top"></script></div>';
			$new_line=true;
			$this->share_count++;
		}
		if ($this->data['uss_share_service_5']=='on') {
			if ($this->data['uss_share_service_4']=='off') {
				$services_html.='<br/>';
			}
			$services_html.= '<script src="//www.stumbleupon.com/hostedbadge.php?s=5"></script>';
			$new_line=true;
			$this->share_count++;
		}
		if ($this->data['uss_share_service_6']=='on') {
			if($new_line){
				$services_html.='<br/>';
			}
			$services_html.= '<script type="text/javascript" src="//www.reddit.com/static/button/button2.js"></script>';
			$new_line=true;
			$this->share_count++;
		}
		if ($this->data['uss_share_service_7']=='on') {
			if($new_line){
				$services_html.='<br/>';
			}
			$services_html.= '<a ' .
									'href="//pinterest.com/pin/create/button?url='.rawurlencode($current_url).'" '.
									'class="pin-it-button" count-layout="vertical" data-pin-config="above" target="_blank" data-pin-do="buttonPin"><img src="//assets.pinterest.com/images/pidgets/pin_it_button.png" /></a>' .
								'';
			$new_line=true;
			$this->share_count++;
		}
		if ($this->data['uss_share_service_8']=='on') {
			if($new_line){
				$services_html.='<br/>';
			}
			$atts='data-url="'.$current_url.'" data-picture="" data-text=""';
			$services_html.= '<a href="//bufferapp.com/add" class="buffer-add-button" ' . $atts . ' data-count="vertical" >Buffer</a>';
			$services_html.= '<script type="text/javascript" src="//static.bufferapp.com/js/button.js"></script>';
			$new_line=true;
			$this->share_count++;
		}
		echo $services_html;
		
	}
	
	
}

return new USS_Public();
